(TeX-add-style-hook
 "acro"
 (lambda ()
   (TeX-run-style-hooks
    "}"
    "translations")
   (TeX-add-symbols
    "hbadness")
   (LaTeX-add-xparse-macros
    '("AcroStyle" "smO{}")
    '("AcroAddRow" "+m")
    '("AcroRerun" "")
    '("AcroPropertiesMap" "+m")
    '("AcroAcronymsMap" "+m")
    '("AcroMapBreak" "")
    '("AcroPropertiesSet" "m+m")
    '("AcroMap" "m+m")
    '("AcroNeedPackage" "m")
    '("acsetup" "+m")
    '("acroloadstyle" "m")
    '("acroifstarredTF" "")
    '("acroifstarredT" "")
    '("acroifstarredF" "")
    '("acroifusedTF" "m")
    '("acroifusedT" "m")
    '("acroifusedF" "m")
    '("acuse" "m")
    '("acuseall" "")
    '("acreset" "m")
    '("acresetall" "")
    '("acsimple" "mm")
    '("acbarrier" "")
    '("acswitchoff" "")
    '("acswitchon" "")
    '("DeclareAcroProperty" "st?t!t|t>m")
    '("DeclareAcroPropertyAlias" "st?t!t|t>mm")
    '("MakeAcroPropertyAlias" "mm")
    '("NewAcroPreset" "m+m")
    '("RenewAcroPreset" "m+m")
    '("DeclareAcroPreset" "m+m")
    '("UseAcroTemplate" "O{acronym}mO{1}")
    '("NewAcroTemplate" "O{acronym}m+m")
    '("RenewAcroTemplate" "O{acronym}m+m")
    '("SetupAcroTemplate" "O{acronym}m+m")
    '("SetupNextAcroTemplate" "O{acronym}m+m")
    '("DeclareAcronym" "m+m")
    '("DeclareAcroEnding" "mmm")
    '("DeclareAcroArticle" "mm")
    '("DeclareAcroTranslation" "m+m")
    '("AddAcroTranslations" "m+m")
    '("acrotranslate" "m")
    '("aciftrailing" "")
    '("acfootnote" "m")
    '("acgobbletrail" "")
    '("acdot" "")
    '("acspace" "")
    '("abbrdot" "")
    '("acroupper" "")
    '("acrofull" "")
    '("printacronyms" "o")
    '("acroheading" "")
    '("acropreamble" "")
    '("acropostamble" "")
    '("acrolistname" "")
    '("acronymsmapTF" "+m+m+m")
    '("acronymsmapT" "+m+m")
    '("acronymsmapF" "+m+m")
    '("acronymsmap" "+m")
    '("acrofield" "mm")
    '("acroprintfield" "mm")
    '("acroiffieldTF" "+m+m+m+m")
    '("acroifanyfieldTF" "mm+m+m")
    '("acroifallfieldsTF" "mm+m+m")
    '("acroifpagefieldTF" "m")
    '("acrowrite" "m")
    '("acroshow" "m")
    '("acrodonotuse" "")
    '("acroformat" "mm")
    '("acrogroupcite" "")
    '("acrocite" "")
    '("acroifpropertyTF" "m")
    '("acroifpropertyT" "m")
    '("acroifpropertyF" "m")
    '("acroifbooleanTF" "m")
    '("acroifbooleanT" "m")
    '("acroifbooleanF" "m")
    '("acroifTF" "m")
    '("acroifT" "m")
    '("acroifF" "m")
    '("acroifanyTF" "m+m+m")
    '("acroifanyT" "m+m")
    '("acroifanyF" "m+m")
    '("acroifallTF" "m+m+m")
    '("acroifallT" "m+m")
    '("acroifallF" "m+m")
    '("acroifsingleTF" "+m+m")
    '("acroifsingleT" "+m")
    '("acroifsingleF" "+m")
    '("acroiffirstTF" "+m+m")
    '("acroiffirstT" "+m")
    '("acroiffirstF" "+m")
    '("acroiftagTF" "m+m+m")
    '("acroiftagT" "m+m")
    '("acroiftagF" "m+m")
    '("acropages" "mm")
    '("acronopagerange" "")
    '("acroneedpages" "")
    '("acropagefill" "")
    '("acrodotfill" "")
    '("acroifpagesTF" "")
    '("acroifpagesT" "")
    '("acroifpagesF" "")
    '("acroifchapterTF" "")
    '("acroifchapterT" "")
    '("acroifchapterF" "")
    '("nospace" "")))
 :latex)

